#  Compute Zero-Phase Visualization of Directivity (C0ViD)
## Overview
This Plug-In is menat for visualization of directivity patterns, created by students of the Institute of Electronic Music and Acoustics, based on the EnergyVisualizer of the IEM Plug-In Suite.

The calculations are based on the ideas of Franck Zagala's masters thesis [1]. The predefined geometric parameters are meant for the IEM measurement setup [2]. The plug-in is created with the JUCE framework and can be compiled to any major plug-in format (VST, VST3, AU, AAX).


## Compilation Guide
All you need for compiling the Plug-in is the [JUCE framework](https://juce.com) with version 5.4.7, an IDE (eg. Xcode, Microsoft Visual Studio).

- Clone/download the repository
- Open the .jucer-file with the Projucer (part of JUCE)
- Set your global paths within the Projucer
- If necessary: add additional exporters for your IDE
- Save the project to create the exporter projects
- Open the created projects with your IDE
- Build
- Enjoy ;-)

The *.jucer projects are configured to build VST2, VST3 and standalone versions. In order to build the VST2 versions of the plug-ins, you need to have a copy of the Steinberg VST2-SDK which no longer comes with JUCE. If you want to build other versions, you'll have to enable it in the Projucer Project Settings -> Plugin Formats.

###  JACK support
Both on macOS and linux, the plug-in standalone version will be built with JACK support. You can disable the JACK support by adding `DONT_BUILD_WITH_JACK_SUPPORT=1` to the *Preprocessor Definitions*-field in the Projucer projects.

## Known issues
- There's an issue with the channel-layout behavior of the VST3 versions of the plug-ins. This issue comes down to the VST3 SDK and has to be fixed by Steinberg. Already reported at their developer forum.

## Related repositories
- https://git.iem.at/audioplugins/IEMPluginSuite/

## References:
[1] F. Zagala, “Optimum-phase primal signal and radiation-filter modelling of musical instruments,” 2019.
[2] F. Hohl, "Kugelmikrofonarray zur Abstrahlungsvermessung von Musikinstrumenten," 2009.

